Summary:	Simple GUI for MPlayer
Name:		gnome-mplayer
Version:	1.0.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Video/Players
URL:		http://kdekorte.googlepages.com/gnomemplayer
Source:		http://gnome-mplayer.googlecode.com/files/%{name}-%{version}.tar.gz
Requires:	mplayer
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmtk) >= %{version}
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libmusicbrainz3)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libgda-5.0)
BuildRequires:	desktop-file-utils
# Used to determine volume control mode at build-time
BuildRequires:	pkgconfig(libpulse)
# Used to determine power control methods at build-time
BuildRequires:	gnome-power-manager

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME
MPlayer from a single command.

%prep
%setup -q

%build
%configure2_5x --enable-gtk3
%make

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--add-category="Audio;Video;GTK;Player;GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

# zero length docs
find %{buildroot}%{_docdir}/%{name}/ -size 0 | xargs rm -f

%find_lang %{name}

%files -f %{name}.lang
%doc %{_docdir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/apps.gecko-mediaplayer.preferences.gschema.xml
%{_datadir}/glib-2.0/schemas/apps.gnome-mplayer.preferences.*.xml
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%{_libdir}/nautilus/extensions*/*.so
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 523731
- Mageia 4 Mass Rebuild

* Sun Mar 10 2013 luigiwalser <luigiwalser> 1.0.8-1.mga4
+ Revision: 402051
- 1.0.8

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 352170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 319419
- bump req
- update rpm group
- new version 1.0.7

* Mon Apr 16 2012 luigiwalser <luigiwalser> 1.0.6-1.mga2
+ Revision: 230990
- 1.0.6

* Sat Jan 14 2012 fwang <fwang> 1.0.5-4.mga2
+ Revision: 195877
- update file list
- enable gtk3
- build gtk3 flavour

* Fri Jan 13 2012 fwang <fwang> 1.0.5-3.mga2
+ Revision: 195758
- really disable gtk3
- disable nautilus ext, so that we do not need gtk3

* Fri Jan 13 2012 fwang <fwang> 1.0.5-2.mga2
+ Revision: 195747
- drop gconf req

* Fri Jan 13 2012 fwang <fwang> 1.0.5-1.mga2
+ Revision: 195740
- update br
- new version 1.0.5

* Mon Jul 18 2011 ahmad <ahmad> 1.0.4-1.mga2
+ Revision: 125787
- Update to 1.0.4
- Build with --enable-gtk3
- Covert the BR to pkgconfig style

* Fri Jun 10 2011 ahmad <ahmad> 1.0.3-1.mga2
+ Revision: 103075
- Update to 1.0.3
- Rediff patch0 (format string)
- Drop patch1,2 not needed any more
- Add BR libpulseaudio-devel
- Handle installing the docs differently
- Update the file list

* Sun Jan 16 2011 anssi <anssi> 1.0.0-1.mga1
+ Revision: 20087
- new version
- rediff linking patch
- remove old scripts
- imported package gnome-mplayer


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9.2-3mdv2011.0
+ Revision: 610940
- rebuild

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 0.9.9.2-2mdv2010.1
+ Revision: 540570
- rebuild due to bs bug #31438

* Thu Mar 04 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.2-1mdv2010.1
+ Revision: 514234
- update to new version 0.9.9.2

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.1
+ Revision: 501975
- BR xss
- build nautilus ext as module rather than prog
- fix pusleaudio detection
- New version 0.9.9
- fix nautilus plugin linkage

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.8-2mdv2010.0
+ Revision: 455848
- rebuild for new curl SSL backend

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 449954
- new version

* Tue Aug 25 2009 Anssi Hannula <anssi@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 420740
- new version
- drop fix-underlinking.patch, fixed upstream
- drop nautilus-module.patch, now unapplicable (libtool is not used)
- remove upstream-applied hunks of str-fmt.patch
- update buildrequires

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 0.9.6-1mdv2010.0
+ Revision: 395344
- new version 0.9.6
- add buildrequires on libgpod-devel and nautilus-devel
- update format string patch (fix-str-fmt.patch)
- fix underlinking (fix-underlinking.patch)
- build nautilus module with -module -avoid-version
  (nautilus-module.patch)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 354929
- update to new version 0.9.5

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2009.1
+ Revision: 338563
- update to new version 0.9.4

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 331902
- New version 0.9.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 305772
- New version 0.9.2

* Sun Nov 02 2008 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 299270
- New version 0.9.1

* Sat Nov 01 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 299127
- new versio 0.9.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 292068
- New version 0.8.0

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 272444
- new version 0.7.0

* Thu Jul 03 2008 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 230938
- update to new version 0.6.3
- new url and source url

* Fri Jun 13 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 218648
- New version 0.6.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 196079
- new version
- put icons into fd.o directory
- spec file clean

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 176574
- new version

* Fri Jan 18 2008 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 155012
- New version 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 119721
- New release

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 107070
- New release

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 97322
- New release 0.5.1

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75193
- New version 0.5.0

* Wed Jul 18 2007 trem <trem@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 53352
- new release 0.4.7

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 31609
- requires mplayer

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 31606
- initial Mandriva release

